package com.example.randommovie

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.util.Log
import android.widget.Button
import android.widget.TextView
import kotlin.math.floor

class MainActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val movies = resources.getStringArray(R.array.movies)
        val button: Button = findViewById(R.id.button)
        val text: TextView = findViewById(R.id.movietext)
        var moviesRemain = movies.size

        val find = {
            if (moviesRemain == 0) {
                text.text = getString(R.string.end)
            } else {
                val id = floor(Math.random() * moviesRemain).toInt()

                moviesRemain -= 1
                val t = movies[moviesRemain]
                movies[moviesRemain] = movies[id]

                text.text = movies[id]

                movies[id] = t
            }
        }

        find()

        button.setOnClickListener {
            find()
        }
    }
}